__all__ = ('Flags',)

Q_FLAG = '<?>'


class Flags:
    default: str

    def __init__(self, flags: str):
        self.flags: str = flags

    def quable(self) -> bool:
        return Q_FLAG in self.flags

    def deq(self) -> str:
        return self.flags.replace(Q_FLAG, '')

    def enq(self) -> str:
        return self.deq() + Q_FLAG


Flags.default = Flags('<unedited>').enq()
